# Exception: Cri::CommandDSL::AlreadySpecifiedWithParams

Inherits:
  Error
  - Object
  - StandardError
  - Error
  - Cri::CommandDSL::AlreadySpecifiedWithParams
  show all

Defined in:
  lib/cri/command_dsl.rb

## Overview

Error that will be raised when declaring the command as taking no parameters, when the command is already declared with parameters.

## Instance Method Summary collapse

- #initialize(command) ⇒ AlreadySpecifiedWithParams constructor

  A new instance of AlreadySpecifiedWithParams.

## Constructor Details

### #initialize(command) ⇒ `AlreadySpecifiedWithParams`

Returns a new instance of AlreadySpecifiedWithParams.

    18
    19
    20

    # File 'lib/cri/command_dsl.rb', line 18

    def initialize(command)
      super("Attempted to declare the command #{command.name.inspect} as taking no parameters, but some parameters are already declared for this command. Suggestion: remove the #no_params call.")
    end